.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptGlobalConstant.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptGlobalConstant:

VisualScriptGlobalConstant
==========================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------+----------------------------------------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_global_constant<class_VisualScriptGlobalConstant_get_global_constant>`  **(** **)**                              |
+------------------------+----------------------------------------------------------------------------------------------------------------------------+
| void                   | :ref:`set_global_constant<class_VisualScriptGlobalConstant_set_global_constant>`  **(** :ref:`int<class_int>` index  **)** |
+------------------------+----------------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`int<class_int>` **constant**

Member Function Description
---------------------------

.. _class_VisualScriptGlobalConstant_get_global_constant:

- :ref:`int<class_int>`  **get_global_constant**  **(** **)**

.. _class_VisualScriptGlobalConstant_set_global_constant:

- void  **set_global_constant**  **(** :ref:`int<class_int>` index  **)**


